#pragma once

#include "CoreMinimal.h"
#include "CharacterSightComponent.h"
#include "PhantomCharacterSightComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class CALAMARI_API UPhantomCharacterSightComponent : public UCharacterSightComponent
{
	GENERATED_BODY()

public:
	UPhantomCharacterSightComponent();
};

FORCEINLINE uint32 GetTypeHash(const UPhantomCharacterSightComponent) { return 0; }
